curl --request GET \
--url 'https://api.benzinga.com/api/v2/calendar/events?token='import requests
url = "https://api.benzinga.com/api/v2/calendar/events?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v2/calendar/events?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"date_end": "2026-01-13",
"date_start": "2026-01-13",
"event_name": "28th Annual Needham Growth Conference",
"event_type": "Corporate conference presentation",
"id": "695b762f1bd4be000196669c",
"importance": 3,
"international_number": "",
"location": "New York",
"phone_number": "",
"securities": [
{
"country": "USA",
"cusip": "346375108",
"exchange": "NASDAQ",
"isin": "US3463751087",
"symbol": "FORM"
}
],
"source_link": "https://www.formfactor.com/events/",
"start_time": "15:00:00",
"tags": [
"Needham Growth Conference"
],
"updated": 1767602218,
"webcast_link": ""
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Events
Returns corporate events including investor meetings, conferences, and special announcements
{
"events": [
{
"date_end": "2026-01-13",
"date_start": "2026-01-13",
"event_name": "28th Annual Needham Growth Conference",
"event_type": "Corporate conference presentation",
"id": "695b762f1bd4be000196669c",
"importance": 3,
"international_number": "",
"location": "New York",
"phone_number": "",
"securities": [
{
"country": "USA",
"cusip": "346375108",
"exchange": "NASDAQ",
"isin": "US3463751087",
"symbol": "FORM"
}
],
"source_link": "https://www.formfactor.com/events/",
"start_time": "15:00:00",
"tags": [
"Needham Growth Conference"
],
"updated": 1767602218,
"webcast_link": ""
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Query Parameters
Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0
Number of results returned. Limit 1000
Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest
Start date in YYYY-MM-DD format
End date in YYYY-MM-DD format
The importance level to filter by. Uses Greater Than or Equal To the importance indicated
0, 1, 2, 3, 4, 5 One or more ticker symbols separated by a comma. Maximum 50 tickers
Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated
Search keys type
event_type Search keys
Response
Events
API response containing an array of event records
Show child attributes
Show child attributes
Was this page helpful?